# @HEADER
# ************************************************************************
#
#            TriBITS: Tribal Build, Integrate, and Test System
#                    Copyright 2013 Sandia Corporation
#
#
# Under the terms of Contract DE-AC04-94AL85000 with Sandia Corporation,
# the U.S. Government retains certain rights in this software.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
#
# 1. Redistributions of source code must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#
# 2. Redistributions in binary form must reproduce the above copyright
# notice, this list of conditions and the following disclaimer in the
# documentation and/or other materials provided with the distribution.
#
# 3. Neither the name of the Corporation nor the names of the
# contributors may be used to endorse or promote products derived from
# this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY SANDIA CORPORATION "AS IS" AND ANY
# EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
# PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL SANDIA CORPORATION OR THE
# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
# EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#
# ************************************************************************
# @HEADER

##############################################################################
#
# CMake variable for use by SEACASProj/SEACASSuplibCpp clients.
#
# Do not edit: This file was generated automatically by CMake.
#
##############################################################################


# Include guard
if (SEACASSuplibCpp_CONFIG_INCLUDED)
  return()
endif()
set(SEACASSuplibCpp_CONFIG_INCLUDED TRUE)

# Make sure CMAKE_CURRENT_LIST_DIR is usable
if (NOT DEFINED CMAKE_CURRENT_LIST_DIR)
  get_filename_component(_THIS_SCRIPT_PATH ${CMAKE_CURRENT_LIST_FILE} PATH)
  set(CMAKE_CURRENT_LIST_DIR ${_THIS_SCRIPT_PATH})
endif()


## ---------------------------------------------------------------------------
## Compilers used by SEACASProj/SEACASSuplibCpp build
## ---------------------------------------------------------------------------

set(SEACASSuplibCpp_CXX_COMPILER "${_IMPORT_PREFIX}/bin/c++.exe")

set(SEACASSuplibCpp_C_COMPILER "${_IMPORT_PREFIX}/bin/cc.exe")

set(SEACASSuplibCpp_Fortran_COMPILER "gfortran")
# Deprecated!
set(SEACASSuplibCpp_FORTRAN_COMPILER "gfortran") 


## ---------------------------------------------------------------------------
## Compiler flags used by SEACASProj/SEACASSuplibCpp build
## ---------------------------------------------------------------------------

## Give the build type
set(SEACASSuplibCpp_CMAKE_BUILD_TYPE "Release")

## Set compiler flags, including those determined by build type
set(SEACASSuplibCpp_CXX_FLAGS [[-Wall -Wunused -pedantic ]])

set(SEACASSuplibCpp_C_FLAGS [[-Wall -Wunused -pedantic -std=c11 ]])

set(SEACASSuplibCpp_Fortran_FLAGS [[ ]])
# Deprecated
set(SEACASSuplibCpp_FORTRAN_FLAGS [[ ]])

## Extra link flags (e.g., specification of fortran libraries)
set(SEACASSuplibCpp_EXTRA_LD_FLAGS [[-lpthread]])

## This is the command-line entry used for setting rpaths. In a build
## with static libraries it will be empty.
set(SEACASSuplibCpp_SHARED_LIB_RPATH_COMMAND "${_IMPORT_PREFIX}/lib")
set(SEACASSuplibCpp_BUILD_SHARED_LIBS "YES")

set(SEACASSuplibCpp_LINKER ${_IMPORT_PREFIX}/bin/ld.lld.exe)
set(SEACASSuplibCpp_AR ${_IMPORT_PREFIX}/bin/llvm-ar.exe)

## ---------------------------------------------------------------------------
## Set library specifications and paths
## ---------------------------------------------------------------------------

## Base install location (if not in the build tree)
set(SEACASSuplibCpp_INSTALL_DIR "${_IMPORT_PREFIX}")

## List of package include dirs
set(SEACASSuplibCpp_INCLUDE_DIRS "${CMAKE_CURRENT_LIST_DIR}/../../../include")

## List of package library paths
set(SEACASSuplibCpp_LIBRARY_DIRS "${CMAKE_CURRENT_LIST_DIR}/../../../lib")

## List of package libraries
set(SEACASSuplibCpp_LIBRARIES "suplib_cpp")

## Specification of directories for TPL headers
set(SEACASSuplibCpp_TPL_INCLUDE_DIRS "${_IMPORT_PREFIX}/include")

## Specification of directories for TPL libraries
set(SEACASSuplibCpp_TPL_LIBRARY_DIRS "")

## List of required TPLs
set(SEACASSuplibCpp_TPL_LIBRARIES "${_IMPORT_PREFIX}/lib/libfmt.dll.a")

## ---------------------------------------------------------------------------
## MPI specific variables
##   These variables are provided to make it easier to get the mpi libraries
##   and includes on systems that do not use the mpi wrappers for compiling
## ---------------------------------------------------------------------------

set(SEACASSuplibCpp_MPI_LIBRARIES "")
set(SEACASSuplibCpp_MPI_LIBRARY_DIRS "")
set(SEACASSuplibCpp_MPI_INCLUDE_DIRS "")
set(SEACASSuplibCpp_MPI_EXEC "")
set(SEACASSuplibCpp_MPI_EXEC_MAX_NUMPROCS "")
set(SEACASSuplibCpp_MPI_EXEC_NUMPROCS_FLAG "")

## ---------------------------------------------------------------------------
## Set useful general variables
## ---------------------------------------------------------------------------

## The packages enabled for this project
set(SEACASSuplibCpp_PACKAGE_LIST "SEACASSuplibCpp")

## The TPLs enabled for this project
set(SEACASSuplibCpp_TPL_LIST "fmt")


# Import SEACASSuplibCpp targets
include("${CMAKE_CURRENT_LIST_DIR}/SEACASSuplibCppTargets.cmake")
